Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.util
Class InvalidateSessionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.verisign.epp.util.InvalidateSessionException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidateSessionException

extends java.lang.Exception

Simple `Exception` that is thrown by the utility `TestUtil.handleException(EPPSession, Exception)` method to indicate that the session should be invalidated by the calling method and further use of the session should be terminated.

See Also:
  `TestUtil.handleException(EPPSession, Exception)`, Serialized Form

Constructor Summary
`InvalidateSessionException()` Default constructor
`InvalidateSessionException(java.lang.String message)` Create with text message desribing the exception.
`InvalidateSessionException(java.lang.String message, java.lang.Throwable cause)` Create with text message desribing the exception and an associated cause `Throwable`.
`InvalidateSessionException(java.lang.Throwable cause)` Create with an associated cause `Throwable`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidateSessionException

    public InvalidateSessionException()

  Default constructor

### InvalidateSessionException

    public InvalidateSessionException(java.lang.String message)

  Create with text message desribing the exception.

  Parameters:
    `message` - description message

### InvalidateSessionException

    public InvalidateSessionException(java.lang.String message,
                                      java.lang.Throwable cause)

  Create with text message desribing the exception and an associated cause `Throwable`.

  Parameters:
    `message` - description message
    `cause` - `Throwable` that caused the exception

### InvalidateSessionException

    public InvalidateSessionException(java.lang.Throwable cause)

  Create with an associated cause `Throwable`.

  Parameters:
    `cause` - `Throwable` that caused the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.